Bug 170580 - [NEW PORT] multimedia/gtk-youtube-viewer: GTK Search and play YouTube videos streaming in MPlayer
[NEW PORT] multimedia/gtk-youtube-viewer: GTK Search and play YouTube videos ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 02:10 UTC by nemysis
Modified: 2012-08-24 22:20 UTC (History)
0 users

See Also:


Attachments
.shar (3.06 KB, text/plain)
2012-08-13 02:10 UTC, nemysis
no flags Details
gtk-youtube-viewer.diff (501 bytes, patch)
2012-08-13 02:29 UTC, nemysis
no flags Details | Diff
gtk-youtube-viewer.diff (573 bytes, patch)
2012-08-13 09:36 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-13 02:10:00 UTC
GTK Youtube Viewer is created to be a flexible and reliable open-source
Linux application which is dedicated to streaming Youtube Videos with MPlayer. 

WWW:	https://code.google.com/p/trizen/
WWW:	http://trizen.go.ro/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 jgh@FreeBSD.org freebsd_committer 2012-08-13 05:17:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter freebsd_committer 2012-08-24 22:16:09 UTC
Author: jgh
Date: Fri Aug 24 21:15:59 2012
New Revision: 303101
URL: http://svn.freebsd.org/changeset/ports/303101

Log:
  add new port: multimedia/gtk-youtube-viewer
  
  GTK Youtube Viewer is created to be a flexible and reliable open-source
  Linux application which is dedicated to streaming Youtube Videos with MPlayer.
  
  WWW:	https://code.google.com/p/trizen/
  
  PR:	170580
  Submitted by:	nemysis@gmx.ch

Added:
  head/multimedia/gtk-youtube-viewer/
  head/multimedia/gtk-youtube-viewer/Makefile   (contents, props changed)
  head/multimedia/gtk-youtube-viewer/distinfo   (contents, props changed)
  head/multimedia/gtk-youtube-viewer/pkg-descr   (contents, props changed)
Modified:
  head/multimedia/Makefile   (contents, props changed)

Modified: head/multimedia/Makefile
==============================================================================
--- head/multimedia/Makefile	Fri Aug 24 20:48:26 2012	(r303100)
+++ head/multimedia/Makefile	Fri Aug 24 21:15:59 2012	(r303101)
@@ -115,6 +115,7 @@
     SUBDIR += gstreamermm
     SUBDIR += gsubedit
     SUBDIR += gtk-recordmydesktop
+    SUBDIR += gtk-youtube-viewer
     SUBDIR += gxanim
     SUBDIR += gxine
     SUBDIR += gxmms

Added: head/multimedia/gtk-youtube-viewer/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/gtk-youtube-viewer/Makefile	Fri Aug 24 21:15:59 2012	(r303101)
@@ -0,0 +1,68 @@
+# New ports collection makefile for:	gtk-youtube-viewer
+# Date created:		13 August 2012
+# Whom:			nemysis@gmx.ch
+#
+# $FreeBSD$
+#
+
+PORTNAME=	gtk-youtube-viewer
+PORTVERSION=	2.0.5
+CATEGORIES=	multimedia
+MASTER_SITES=	GOOGLE_CODE
+
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	GTK Search and play YouTube videos streaming in MPlayer
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	p5-XML-Fast>=0:${PORTSDIR}/net/p5-XML-Fast \
+		p5-libwww>=0:${PORTSDIR}/www/p5-libwww \
+		p5-Term-ANSIColor>=0:${PORTSDIR}/devel/p5-Term-ANSIColor \
+		p5-Gtk2>=0:${PORTSDIR}/x11-toolkits/p5-Gtk2 \
+		p5-LWP-Protocol-https>=0:${PORTSDIR}/www/p5-LWP-Protocol-https \
+		mplayer:${PORTSDIR}/multimedia/mplayer
+
+OPTIONS_DEFINE=	DATA GCAP
+GCAP_DESC=	GCAP support
+OPTIONS_DEFAULT=	DATA
+
+WRKSRC=		${WRKDIR}/${PORTNAME}/src
+
+USE_PERL5_RUN=	yes
+NO_BUILD=	yes
+PROJECTHOST=	trizen
+
+PLIST_FILES=	bin/${PORTNAME} \
+		share/pixmaps/${PORTNAME}.png \
+		share/applications/${PORTNAME}.desktop
+PLIST_DIRSTRY=	share/applications
+
+PORTDATA=	*
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGCAP}
+RUN_DEPENDS+=	${LOCALBASE}/bin/gcap:${PORTSDIR}/multimedia/gcap
+.endif
+
+post-patch:
+	@(cd ${WRKSRC} && ${REINPLACE_CMD} -e "s|#!/usr/bin/perl|#!${PERL}|g" gtk-youtube-viewer.pl \
+		youtube-viewer && ${REINPLACE_CMD} -e "s|/usr/share/|${PREFIX}/share/|g" gtk-youtube-viewer)
+
+do-install:
+	${MKDIR} ${DATADIR}
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/youtube-viewer ${DATADIR}
+
+# Data
+.if ${PORT_OPTIONS:MDATA}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "icons lib" ${DATADIR})
+	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.pl ${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.glade ${DATADIR}
+.endif
+
+# Pixmaps and Desktop
+	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}.png ${PREFIX}/share/pixmaps/
+	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.desktop ${PREFIX}/share/applications/
+
+.include <bsd.port.mk>

Added: head/multimedia/gtk-youtube-viewer/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/gtk-youtube-viewer/distinfo	Fri Aug 24 21:15:59 2012	(r303101)
@@ -0,0 +1,2 @@
+SHA256 (gtk-youtube-viewer-2.0.5.tar.gz) = 28cce3956d58659849db451e9d016e426577bfd8791000678f87ac8929c6def0
+SIZE (gtk-youtube-viewer-2.0.5.tar.gz) = 165777

Added: head/multimedia/gtk-youtube-viewer/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/gtk-youtube-viewer/pkg-descr	Fri Aug 24 21:15:59 2012	(r303101)
@@ -0,0 +1,4 @@
+GTK Youtube Viewer is created to be a flexible and reliable open-source
+Linux application which is dedicated to streaming Youtube Videos with MPlayer. 
+
+WWW:	https://code.google.com/p/trizen/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 jgh@FreeBSD.org freebsd_committer 2012-08-24 22:16:35 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!